Package twisted :: Package news :: Module news :: Class UsenetServerFactory

[frames | no frames]

## Class UsenetServerFactory

      Factory --+
                |
    ServerFactory --+
                    |
          NNTPFactory --+
                        |
                       UsenetServerFactory

A factory for NNTP Usenet server protocols.

Method Summary
| `__init__(self, backend, remoteHosts, updatePeriod)`
| `buildProtocol(self, connection)`
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
| `syncWithRemotes(self)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.

Class Variable Summary
`class` | `protocol` = `twisted.protocols.nntp.NNTPServer`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### startFactory(self)

This will be called before I begin listening on a Port or Connector.

It will only be called once, even if the factory is connected to multiple ports.

This can be used to perform 'unserialization' tasks that are best put off until things are actually running, such as connecting to a database, opening files, etcetera.

  Overrides:
    `twisted.internet.protocol.Factory.startFactory` (inherited documentation)

### stopFactory(self)

This will be called before I stop listening on all Ports/Connectors.

This can be used to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc.

It will be called, for example, before an application shuts down, if it was connected to a port.

  Overrides:
    `twisted.internet.protocol.Factory.stopFactory` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:15 2004 | http://epydoc.sf.net